package com.diaoyun.zion.chinafrica.entity;

import java.io.Serializable;
import java.util.List;

/**
 * 订单 （用于订单查询）
 */
public class OrderEntity implements Serializable {
    /**
     * 订单id
     */
    private String orderId;
    /**
     * 订单号
     */
    private Long orderNo;

    /**
     * 用户名
     */
    private String userName;

    /**
     * 收货地址
     */
    private String deliveryAddress;
    /**
     * 收货人
     */
    private String deliveryName;
    /**
     * 收货人手机
     */
    private String deliveryPhone;
    /**
     * 商品明细集合
     */
    private List<ItemEntity> itemDetailList;


    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public Long getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(Long orderNo) {
        this.orderNo = orderNo;
    }

    public String getDeliveryAddress() {
        return deliveryAddress;
    }

    public void setDeliveryAddress(String deliveryAddress) {
        this.deliveryAddress = deliveryAddress;
    }

    public String getDeliveryName() {
        return deliveryName;
    }

    public void setDeliveryName(String deliveryName) {
        this.deliveryName = deliveryName;
    }

    public String getDeliveryPhone() {
        return deliveryPhone;
    }

    public void setDeliveryPhone(String deliveryPhone) {
        this.deliveryPhone = deliveryPhone;
    }

    public List<ItemEntity> getItemDetailList() {
        return itemDetailList;
    }

    public void setItemDetailList(List<ItemEntity> itemDetailList) {
        this.itemDetailList = itemDetailList;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }
}
